# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo:latest

test:
  script:
  - hugo --buildDrafts --buildFuture
  artifacts:
    expose_as: 'Preview changes'
    paths:
    - public/
  except:
  - main

pages:
  script:
  - test -n "$PAGES_DEPLOY_URL" || PAGES_DEPLOY_URL="$CI_PAGES_URL"
  - hugo --baseURL="$PAGES_DEPLOY_URL" --buildFuture
  artifacts:
    paths:
    - public
  only:
  - main
